Bug 62197 - HPT370 card drops irqs on 2.4.18-0.9+
HPT370 card drops irqs on 2.4.18-0.9+
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-28 06:15 EST by Stephen Tweedie
Modified: 2007-04-18 12:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-07 07:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot log (working) from 2.4.9-7.1 (4.66 KB, text/plain)
2002-03-28 06:22 EST, Stephen Tweedie
no flags Details
Boot log (hang) from 2.4.18-0.9 (4.05 KB, text/plain)
2002-03-28 06:23 EST, Stephen Tweedie
no flags Details
Boot log (ide timeouts) from local build of CVS kernel ~= 2.4.18-0.12 (6.16 KB, text/plain)
2002-03-28 06:24 EST, Stephen Tweedie
no flags Details

  None (edit)
Description Stephen Tweedie 2002-03-28 06:15:39 EST
Description of Problem:
A K7 test box with an adaptec ATA-1200A IDE raid controller fails with the
current kernels.  2.4.18-0.9 results in a complete lockup during boot while
trying to read the partition table on an attached disk.  The current CVS HEAD at
least times out the lost interrupts and makes eventual progress, at the cost of
one 5-second timeout per ide IO.  2.4.9-7.1 boots on the same box just fine, 

Version-Release number of selected component (if applicable):
kernel-2.4.18-0.9-athlon

How Reproducible:
100%.

Steps to Reproduce:
1. Install kernel.
2. Boot.

Actual Results:
Hang on 2.4.18-0.9; IDE lost irqs on HEAD.

Expected Results:
IDE should work.

Additional Information:
lspci identifies the card as
   00:0b.0 Unknown mass storage controller: HighPoint Technologies, Inc.
HPT366/370 UltraDMA 66/100 IDE Controller (rev 03)

I will attach boot logs from the working and non-working kernels.
Comment 1 Stephen Tweedie 2002-03-28 06:22:53 EST
Created attachment 51124 [details]
Boot log (working) from 2.4.9-7.1
Comment 2 Stephen Tweedie 2002-03-28 06:23:42 EST
Created attachment 51125 [details]
Boot log (hang) from 2.4.18-0.9
Comment 3 Stephen Tweedie 2002-03-28 06:24:51 EST
Created attachment 51126 [details]
Boot log (ide timeouts) from local build of CVS kernel ~= 2.4.18-0.12
Comment 4 Stephen Tweedie 2002-03-28 07:00:31 EST
# cat /proc/interrupts 
           CPU0       
  0:     298773          XT-PIC  timer
  1:          4          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  4:        342          XT-PIC  serial
  5:       3930          XT-PIC  eth0
  8:          1          XT-PIC  rtc
  9:          0          XT-PIC  EMU10K1
 10:         15          XT-PIC  aic7xxx
 11:       1006          XT-PIC  ide3, usb-ohci
 12:         20          XT-PIC  PS/2 Mouse
 14:      56796          XT-PIC  ide0
Comment 5 Stephen Tweedie 2002-03-28 07:28:43 EST
Update --- my local 2.4.18-0.12 had not compiled in the HPT driver.  Fixing
that, or trying the official 2.4.18-0.12-athlon kernel, results in exactly the
same symptoms as 2.4.18-0.9 --- complete lockup while trying to read the hdh
partition tables.
Comment 6 Arjan van de Ven 2002-04-05 09:59:57 EST
worth trying 2.4.18-0.16; has hpt366/37x fixes
Comment 7 Kjetil T. Homme 2002-04-07 07:03:17 EDT
0.12 and 0.16 hangs when trying to read the partition table off an
HPT366-comnected drive.  (I'm running a BP6 dual-celeron motherboard.)
0.8 works.
Comment 8 Arjan van de Ven 2002-04-15 05:37:01 EDT
fixed

Note You need to log in before you can comment on or make changes to this bug.